# class Lib

#### package cpp

Available on Android, iOS, Linux, macOS, Windows

Platform-specific Cpp Library. Provides some platform-specific functions for the C++ target, such as conversion from Haxe types to native types and vice-versa.

### Static methods

###

`staticload (lib:String, prim:String, nargs:Int):Dynamic`

Load and return a Cpp primitive from a DLL library.

###

`staticloadLazy (lib:String, prim:String, nargs:Int):Dynamic`

Tries to load, and always returns a valid function, but the function may throw if called.